%define docver  5.0.11

Summary:	Software package for booting x86 PCs over a network
Name:		etherboot
Version:	5.0.11
Release:	1mdk
License:	GPL
Group:		Development/Kernel
Source0:	http://prdownloads.sourceforge.net/etherboot/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/etherboot/%{name}-doc-%{docver}.tar.bz2
URL:		http://etherboot.sourceforge.net/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Etherboot is a free software package for booting x86 PCs over a
network. In principle this could be any network technology that TCP/IP
runs on that supports broadcasting. In practice, the bandwidth
required means it's only practical over LANs and some WANs. Etherboot
is useful for booting PCs diskless. This is desirable in various
situations, for example:
  - Maintaining software for a cluster of equally configured
    workstations centrally.`
  - A low-cost X-terminal.
  - A low cost user platform where remote partitions are mounted by NFS
    and you are willing to accept the slowness of data transfers that
    results from NFS, compared to a local disk.
  - Various kinds of remote servers, e.g. a tape drive server that can
    be accessed with the RMT protocol.
  - Routers.
  - Machines doing tasks in environments unfriendly to disks.

A basic example of creating a boot floppy for a 3Com 3c509:
cat %{_libdir}/etherboot/boot1a.bin \
	%{_libdir}/etherboot/lzrom/3c509.lzrom > /dev/fd0

%prep
%setup -q -a1

%build
# we don't use custom optimizations here because it can cause problems
%make -C src
%make bin/boot1a.bin -C src

# clean up cvs files, remove .exe files
find . -name '.cvs*' | xargs rm -f
find . -name '*.exe' | xargs rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/{lzrom,rom},%{_bindir}}

install src/bin32/*.rom $RPM_BUILD_ROOT%{_libdir}/%{name}/rom
install src/bin32/*.lzrom $RPM_BUILD_ROOT%{_libdir}/%{name}/lzrom
install src/bin/*.bin $RPM_BUILD_ROOT%{_libdir}/%{name}
install src/bin/makerom	$RPM_BUILD_ROOT%{_bindir}/makerom

gzip -9nf INSTALL RELNOTES doc/text/*txt src/NIC

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz index.html doc/text/*.gz contrib src/*.gz
%{_libdir}/%{name}
%attr(755,root,root) %{_bindir}/*

%changelog
* Thu Aug  7 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.11-1mdk
- 5.0.11

* Thu May  1 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.10-1mdk
- 5.0.10

* Wed Apr  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.9-1mdk
- 5.0.9

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-3mdk
- rebuild for new glibc/lsb

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-2mdk
- really clean up .cvs files and .exe files

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.7-1mdk
- new version, clean up cvs files in tree

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.6-2mdk
- rpmlint: hardcoded-library-path (was in description)

* Fri May 31 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.6-1mdk
- new version

* Fri May 31 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.0.4-1mdk
- new package - adapted PLD SRPM 
